> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Eps

> Submit an EPS to HMRC. At least one section must be provided.



## OpenAPI

````yaml /api-reference/preview.json post /gb/organizations/{organization_id}/eps
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/eps:
    post:
      tags:
        - Great Britain
        - HMRC EPS
      summary: Submit Eps
      description: Submit an EPS to HMRC. At least one section must be provided.
      operationId: submit_eps_gb_organizations__organization_id__eps_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EPSSubmissionRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EPSSubmissionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    EPSSubmissionRequest:
      properties:
        tax_year:
          type: integer
          title: Tax Year
        no_payment:
          anyOf:
            - $ref: '#/components/schemas/EPSNoPaymentSection'
            - type: 'null'
        final_submission:
          anyOf:
            - $ref: '#/components/schemas/EPSFinalSubmissionSection'
            - type: 'null'
        period_of_inactivity:
          anyOf:
            - $ref: '#/components/schemas/EPSPeriodOfInactivitySection'
            - type: 'null'
        recoverable_amounts:
          anyOf:
            - $ref: '#/components/schemas/EPSRecoverableAmountsSection'
            - type: 'null'
        apprenticeship_levy:
          anyOf:
            - $ref: '#/components/schemas/EPSApprenticeshipLevySection'
            - type: 'null'
      type: object
      required:
        - tax_year
      title: EPSSubmissionRequest
    EPSSubmissionResponse:
      properties:
        id:
          type: string
          title: Id
        org_id:
          type: string
          title: Org Id
        sm_id:
          type: string
          title: Sm Id
        is_no_payment:
          type: boolean
          title: Is No Payment
        is_final_submission:
          type: boolean
          title: Is Final Submission
        is_period_of_inactivity:
          type: boolean
          title: Is Period Of Inactivity
        is_recoverable_amounts:
          type: boolean
          title: Is Recoverable Amounts
        is_apprenticeship_levy:
          type: boolean
          title: Is Apprenticeship Levy
        created_at:
          type: string
          format: date-time
          title: Created At
        content:
          additionalProperties: true
          type: object
          title: Content
        state:
          anyOf:
            - $ref: '#/components/schemas/EPSSMState'
            - type: 'null'
        state_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: State Timestamp
        state_content:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: State Content
      additionalProperties: true
      type: object
      required:
        - id
        - org_id
        - sm_id
        - is_no_payment
        - is_final_submission
        - is_period_of_inactivity
        - is_recoverable_amounts
        - is_apprenticeship_levy
        - created_at
        - content
      title: EPSSubmissionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EPSNoPaymentSection:
      properties:
        tax_month:
          type: integer
          maximum: 12
          minimum: 1
          title: Tax Month
      type: object
      required:
        - tax_month
      title: EPSNoPaymentSection
    EPSFinalSubmissionSection:
      properties:
        for_year:
          type: boolean
          title: For Year
          default: false
        scheme_ceased:
          type: boolean
          title: Scheme Ceased
          default: false
        date_scheme_ceased:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Scheme Ceased
      type: object
      title: EPSFinalSubmissionSection
    EPSPeriodOfInactivitySection:
      properties:
        from_month:
          type: integer
          maximum: 12
          minimum: 1
          title: From Month
        to_month:
          type: integer
          maximum: 12
          minimum: 1
          title: To Month
      type: object
      required:
        - from_month
        - to_month
      title: EPSPeriodOfInactivitySection
    EPSRecoverableAmountsSection:
      properties:
        tax_month:
          anyOf:
            - type: integer
              maximum: 12
              minimum: 1
            - type: 'null'
          title: Tax Month
        smp_recovered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Smp Recovered
        spp_recovered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Spp Recovered
        sap_recovered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sap Recovered
        shpp_recovered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Shpp Recovered
        spbp_recovered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Spbp Recovered
        sncp_recovered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sncp Recovered
        nic_compensation_on_smp:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Nic Compensation On Smp
        nic_compensation_on_spp:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Nic Compensation On Spp
        nic_compensation_on_sap:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Nic Compensation On Sap
        nic_compensation_on_shpp:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Nic Compensation On Shpp
        nic_compensation_on_spbp:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Nic Compensation On Spbp
        nic_compensation_on_sncp:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Nic Compensation On Sncp
        cis_deductions_suffered:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Cis Deductions Suffered
      type: object
      title: EPSRecoverableAmountsSection
    EPSApprenticeshipLevySection:
      properties:
        levy_due_ytd:
          anyOf:
            - type: number
              maximum: 99999999
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Levy Due Ytd
        tax_month:
          type: integer
          maximum: 12
          minimum: 1
          title: Tax Month
        annual_allce:
          anyOf:
            - type: number
              maximum: 15000
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Annual Allce
      type: object
      required:
        - levy_due_ytd
        - tax_month
        - annual_allce
      title: EPSApprenticeshipLevySection
    EPSSMState:
      type: string
      enum:
        - CREATED
        - SUBMITTED
        - ACKNOWLEDGED
        - SUCCESS
        - ERROR
        - ARCHIVED
      title: EPSSMState
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````